Difference between revisions of "User:Felix/Test.css"

From City of Hope MUSH
Jump to navigation Jump to search
imported>Felix
imported>Felix
Line 1: Line 1:
 
.outer {
 
.outer {
    border: 2px solid #102f45;
+
border: 2px solid #102f45;
    border-radius: 10px;
+
border-radius: 10px;
    background-color: #eff9ff;
+
background-color: #eff9ff;
    padding: 0px;
+
padding: 0px;
    width: 100%;
+
width: 100%;
min-width: 260px;
+
min-width: 260px;
max-width: 1080px;
+
max-width: 1080px;
display: flex;
+
display: flex;
flex-flow: row wrap;
+
flex-flow: row wrap;
  }
+
}
  .data {
+
.data {
    padding: .5em;
+
padding: .5em;
  }
+
}
  #left {
+
#left {
 
width: 260px;
 
width: 260px;
 
border-right: 1px dotted #102f45;
 
border-right: 1px dotted #102f45;
flex: 0 1 260px;
+
flex: 0 1 260px;
  }
+
}
 
#right {
 
#right {
flex: 1;
+
flex: 1;
min-width: 260px;
+
min-width: 260px;
  }
+
}
  .header {
+
.header {
    border-top: 1px solid #102f45;
+
border-top: 1px solid #102f45;
    border-bottom: 1px dotted #102f45;
+
border-bottom: 1px dotted #102f45;
    padding: 5px 0;
+
padding: 5px 0;
    background-color: #C3D2E7;
+
background-color: #C3D2E7;
 
display: block;
 
display: block;
 
width: 100%;
 
width: 100%;
 
text-align: center;
 
text-align: center;
font-weight: bold;
+
font-weight: bold;
  }
+
}
 
#header {
 
#header {
    align-content: center;
+
align-content: center;
    align-items: center;
+
align-items: center;
    background-color: #102f45;
+
background-color: #102f45;
    border: 2px solid #461a00;
+
border: 2px solid #461a00;
    border-radius: 6px 6px 0 0;
+
border-radius: 6px 6px 0 0;
    color: #c3d2e7;
+
color: #c3d2e7;
    display: flex;
+
display: flex;
    flex: 2 1 100%;
+
flex: 2 1 100%;
    flex-flow: row wrap;
+
flex-flow: row wrap;
    font-size: 2.5em;
+
font-size: 2.5em;
    font-weight: bold;
+
font-weight: bold;
    justify-content: center;
+
justify-content: center;
    line-height: 2em;
+
line-height: 2em;
    text-align: center;
+
text-align: center;
    text-shadow: 1px 1px 3px #461a00, -1px -1px 3px #461a00, -1px 1px 3px #461a00, 1px -1px 3px #461a00;
+
text-shadow: 1px 1px 3px #461a00, -1px -1px 3px #461a00, -1px 1px 3px #461a00, 1px -1px 3px #461a00;
 
}
 
}
 
#contents {
 
#contents {
    color: #102f45;
+
color: #102f45;
    background-color: #c3d2e7;
+
background-color: #c3d2e7;
    padding: 5px;
+
padding: 5px;
    text-align: center;
+
text-align: center;
 
}
 
}
 
#contents ul {
 
#contents ul {
    margin: 0;
+
margin: 0;
 
}
 
}
 
#contents li {
 
#contents li {
    display: inline-block;
+
display: inline-block;
 
}
 
}
 
#contents li::before{
 
#contents li::before{
    content: "";
+
content: "";
    width: 2em;
+
width: 2em;
    display: inline-block;
+
display: inline-block;
 
}
 
}
#contents li:first-of-type::before{
+
#contents li:first-of-type::before, .hide {
    display: none;
+
display: none;
}
 
.headbit {
 
    margin: 0 15px;
 
}
 
#glyphs1 > img:last-of-type {
 
    left: -5px;
 
    position: relative;
 
}
 
#name {
 
    white-space: nowrap;
 
 
}
 
}
 
#Quotes+div {
 
#Quotes+div {
text-align: justify;
+
text-align: justify;
padding: .5em 1em;
+
padding: .5em 1em;
 
}
 
}
 
#Playlist+div {
 
#Playlist+div {
    overflow: hidden;
+
overflow: hidden;
 
}
 
}
 
#Playlist+div ul {
 
#Playlist+div ul {
display: flex;
+
display: flex;
flex-flow: row wrap;
+
flex-flow: row wrap;
margin-left: -5px;
+
margin-left: -5px;
font-size: 90%;
+
font-size: 90%;
list-style: none;
+
list-style: none;
 
}
 
}
 
#Playlist+div li {
 
#Playlist+div li {
flex: 1 0 190px;
+
flex: 1 0 190px;
white-space: nowrap;
+
white-space: nowrap;
margin-left: 10px;
+
margin-left: 10px;
 
}
 
}
 
#Playlist+div li::before {
 
#Playlist+div li::before {
    content: "■ ";
+
content: "■ ";
color: #461a00;
+
color: #461a00;
 
}
 
}
 
.attr {
 
.attr {
width:100%;
+
width:100%;
text-align: right;
+
text-align: right;
display: block;
+
display: block;
font-style: italic;
+
font-style: italic;
 
}
 
}
 
#mainimg, #altimg {
 
#mainimg, #altimg {
  text-align: center;
+
text-align: center;
  padding: 5px;
+
padding: 5px;
  border-top: 1px solid #102f45;
+
border-top: 1px solid #102f45;
 
}
 
}
 
#altimg, #also {
 
#altimg, #also {
margin-bottom: -2px;
+
margin-bottom: -2px;
 
}
 
}
 
#mainimg img, #altimg img {
 
#mainimg img, #altimg img {
  border: 1px solid #461a00;
+
border: 1px solid #461a00;
}
 
#also {
 
    padding: 5px;
 
    text-align: center;
 
}
 
#also img {
 
    width: 100%;
 
    max-width: 720px;
 
    height: auto;
 
 
}
 
}
 
tr {
 
tr {
vertical-align: top;
+
vertical-align: top;
 
}
 
}
 
.lastrow td {
 
.lastrow td {
border-bottom: 1px dotted #102f45;
+
border-bottom: 1px dotted #102f45;
}
 
.hide {
 
display: none;
 
 
}
 
}
 
a {
 
a {
color: #461a00 !important;
+
color: #461a00 !important;
 
}
 
}
 
.dot5 {
 
.dot5 {
margin-left: 1em;
+
margin-left: 1em;
 
}
 
}
 
.dot5 img {
 
.dot5 img {
vertical-align: unset;
+
vertical-align: unset;
 
}
 
}
 
.wrapper {
 
.wrapper {
    position: relative;
+
position: relative;
    cursor: help;
+
cursor: help;
 
}
 
}
 
 
.wrapper .tooltip {
 
.wrapper .tooltip {
    visibility: hidden;
+
visibility: hidden;
    white-space:nowrap;
+
white-space:nowrap;
    background-color: #C3D2E7;
+
background-color: #C3D2E7;
    color: #461a00;
+
color: #461a00;
    border:2px #461a00 solid;
+
border:2px #461a00 solid;
    text-align: center;
+
text-align: center;
    border-radius: 6px;
+
border-radius: 6px;
    padding: 5px 1em;
+
padding: 5px 1em;
    position: absolute;
+
position: absolute;
    z-index: 1;
+
z-index: 1;
    top: -7px;
+
top: -7px;
    left: 115%;
+
left: 115%;
 
}
 
}
 
.wrapper .tooltip.wrap {
 
.wrapper .tooltip.wrap {
    white-space:normal;
+
white-space:normal;
    width:20em;
+
width:20em;
 
}
 
}
 
.wrapper .tooltip::after {
 
.wrapper .tooltip::after {
    content: "";
+
content: "";
    position: absolute;
+
position: absolute;
    top: 50%;
+
top: 50%;
    right: 100%;
+
right: 100%;
    margin-top: -8px;
+
margin-top: -8px;
    border-width: 8px;
+
border-width: 8px;
    border-style: solid;
+
border-style: solid;
    border-color: transparent #461a00 transparent transparent;
+
border-color: transparent #461a00 transparent transparent;
 
}
 
}
 
.wrapper .tooltip.wrap::after {
 
.wrapper .tooltip.wrap::after {
    top: 1.25em;
+
top: 1.25em;
 
}
 
}
 
.wrapper:hover .tooltip {
 
.wrapper:hover .tooltip {
    visibility: visible;
+
visibility: visible;
 
}
 
}
 
#Gallery+div ul {
 
#Gallery+div ul {
    display: flex;
+
display: flex;
    flex-flow: row wrap;
+
flex-flow: row wrap;
    justify-content: space-around;
+
justify-content: space-around;
    list-style: none;
+
list-style: none;
    margin: 5px;
+
margin: 5px;
    position: relative;
+
position: relative;
    align-items: center;
+
align-items: center;
 
}
 
}
 
#Gallery+div li {
 
#Gallery+div li {
    background-color: rgba(195,210,231,0.33);
+
background-color: rgba(195,210,231,0.33);
    border: 1px solid #461a00;
+
border: 1px solid #461a00;
    flex: 1 0 auto;
+
flex: 1 0 auto;
    max-width: 22%;
+
max-width: 22%;
    margin: 5px;
+
margin: 5px;
 
}
 
}
 
 
#Gallery+div li:hover {
 
#Gallery+div li:hover {
    transform:scale(2,2);
+
transform:scale(2,2);
    background-color: rgba(195,210,231,1);
+
background-color: rgba(195,210,231,1);
 
}
 
}
 
#Gallery+div li.edge:hover {
 
#Gallery+div li.edge:hover {
 
+
transform-origin: 75% 50% 0;
  transform-origin: 75% 50% 0;
 
 
}
 
}
 
#Gallery+div a {
 
#Gallery+div a {
    display: flex;
+
display: flex;
 
}
 
}
 
#Gallery+div li img {
 
#Gallery+div li img {
    width: 92%;
+
width: 92%;
    height: auto;
+
height: auto;
    margin: 5px;
+
margin: 5px;
    border: 1px dotted #461a00;
+
border: 1px dotted #461a00;
 
}
 
}
 
.caption {
 
.caption {
    font-size: 75%;
+
font-size: 75%;
    line-height: 1.25em;
+
line-height: 1.25em;
    margin: 0 5px 5px;
+
margin: 0 5px 5px;
    font-style: italic;
+
font-style: italic;
    color: #461a00;
+
color: #461a00;
 
}
 
}
 
 
@media only screen and (max-width: 730px) {
 
@media only screen and (max-width: 730px) {
    #left {
+
#left {
        min-width: 100%;
+
min-width: 100%;
        border-right: 0;
+
border-right: 0;
    }
+
}
 
}
 
}

Revision as of 00:04, 14 September 2016

.outer {
	border: 2px solid #102f45;
	border-radius: 10px;
	background-color: #eff9ff;
	padding: 0px;
	width: 100%;
	min-width: 260px;
	max-width: 1080px;
	display: flex;
	flex-flow: row wrap;
}
.data {
	padding: .5em;
}
#left {
	width: 260px;
	border-right: 1px dotted #102f45;
	flex: 0 1 260px;
}
#right {
	flex: 1;
	min-width: 260px;
}
.header {
	border-top: 1px solid #102f45;
	border-bottom: 1px dotted #102f45;
	padding: 5px 0;
	background-color: #C3D2E7;
	display: block;
	width: 100%;
	text-align: center;
	font-weight: bold;
}
#header {
	align-content: center;
	align-items: center;
	background-color: #102f45;
	border: 2px solid #461a00;
	border-radius: 6px 6px 0 0;
	color: #c3d2e7;
	display: flex;
	flex: 2 1 100%;
	flex-flow: row wrap;
	font-size: 2.5em;
	font-weight: bold;
	justify-content: center;
	line-height: 2em;
	text-align: center;
	text-shadow: 1px 1px 3px #461a00, -1px -1px 3px #461a00, -1px 1px 3px #461a00, 1px -1px 3px #461a00;
}
#contents {
	color: #102f45;
	background-color: #c3d2e7;
	padding: 5px;
	text-align: center;
}
#contents ul {
	margin: 0;
}
#contents li {
	display: inline-block;
}
#contents li::before{
	content: "";
	width: 2em;
	display: inline-block;
}
#contents li:first-of-type::before, .hide {
	display: none;
}
#Quotes+div {
	text-align: justify;
	padding: .5em 1em;
}
#Playlist+div {
	overflow: hidden;
}
#Playlist+div ul {
	display: flex;
	flex-flow: row wrap;
	margin-left: -5px;
	font-size: 90%;
	list-style: none;
}
#Playlist+div li {
	flex: 1 0 190px;
	white-space: nowrap;
	margin-left: 10px;
}
#Playlist+div li::before {
	content: "■ ";
	color: #461a00;
}
.attr {
	width:100%;
	text-align: right;
	display: block;
	font-style: italic;
}
#mainimg, #altimg {
	text-align: center;
	padding: 5px;
	border-top: 1px solid #102f45;
}
#altimg, #also {
	margin-bottom: -2px;
}
#mainimg img, #altimg img {
	border: 1px solid #461a00;
}
tr {
	vertical-align: top;
}
.lastrow td {
	border-bottom: 1px dotted #102f45;
}
a {
	color: #461a00 !important;
}
.dot5 {
	margin-left: 1em;
}
.dot5 img {
	vertical-align: unset;
}
.wrapper {
	position: relative;
	cursor: help;
}
.wrapper .tooltip {
	visibility: hidden;
	white-space:nowrap;
	background-color: #C3D2E7;
	color: #461a00;
	border:2px #461a00 solid;
	text-align: center;
	border-radius: 6px;
	padding: 5px 1em;
	position: absolute;
	z-index: 1;
	top: -7px;
	left: 115%;
}
.wrapper .tooltip.wrap {
	white-space:normal;
	width:20em;
}
.wrapper .tooltip::after {
	content: "";
	position: absolute;
	top: 50%;
	right: 100%;
	margin-top: -8px;
	border-width: 8px;
	border-style: solid;
	border-color: transparent #461a00 transparent transparent;
}
.wrapper .tooltip.wrap::after {
	top: 1.25em;
}
.wrapper:hover .tooltip {
	visibility: visible;
}
#Gallery+div ul {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-around;
	list-style: none;
	margin: 5px;
	position: relative;
	align-items: center;
}
#Gallery+div li {
	background-color: rgba(195,210,231,0.33);
	border: 1px solid #461a00;
	flex: 1 0 auto;
	max-width: 22%;
	margin: 5px;
}
#Gallery+div li:hover {
	transform:scale(2,2);
	background-color: rgba(195,210,231,1);
}
#Gallery+div li.edge:hover {
	transform-origin: 75% 50% 0;
}
#Gallery+div a {
	display: flex;
}
#Gallery+div li img {
	width: 92%;
	height: auto;
	margin: 5px;
	border: 1px dotted #461a00;
}
.caption {
	font-size: 75%;
	line-height: 1.25em;
	margin: 0 5px 5px;
	font-style: italic;
	color: #461a00;
}
@media only screen and (max-width: 730px) {
	#left {
		min-width: 100%;
		border-right: 0;
	}
}